dircproxy-crypt(1)

NAME
dircproxy-crypt - Generate encrypted password for dircproxy

SYNOPSIS
dircproxy-crypt [-hv] [password]...

DESCRIPTION
dircproxy-crypt generates encrypted passwords for the dircproxy(1) configuration file. These passwords are used in the 'password' configuration option of a connection class, and are compared to the password you configure your IRC client to use.

If you do not supply any plain text passwords to encrypt on the command line then dircproxy-crypt, when run, will ask you for one on standard input. It will display the encrypted version of each password, created using your system's crypt(3) function and a random salt, on standard output.

OPTIONS

-h  Displays a brief help message detailing the command-line arguments, then exits.

-v  Displays the dircproxy version number that this version of dircproxy-crypt comes with, then exits.

SEE ALSO
dircproxy(1) crypt(3)

BUGS
Please submit and review bug reports at:

http://bugzilla.dircproxy.net/

AUTHOR
Written by Scott James Remnant <scott@netsplit.com>.

COPYRIGHT
Copyright (C) 2002 Scott James Remnant. All Rights Reserved. dircproxy is distributed under the GNU General Public License.